DeluxHostAPI Reference
Account SSH keys

List SSH keys

GET
/v1/ssh-keys

Authorization

apiToken ssh-keys:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: ssh-keys:read

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
items*array<>
curl -X GET 'https://api.deluxhost.net/v1/ssh-keys' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "items": [    {      "id": 0,      "name": "string",      "keyType": "string",      "fingerprint": "string",      "publicKey": "string",      "createdAt": "2019-08-24T14:15:22Z",      "lastUsedAt": null    }  ]}